Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.texturepacks
Interface ITexturePack

All Known Implementing Classes:
  TexturePackCustom, TexturePackDefault, TexturePackFolder, TexturePackImplementation

    public interface ITexturePack

Method Summary
`void` | `bindThumbnailTexture(RenderEngine var1)` Bind the texture id of the pack's thumbnail image, loading it if necessary.
`void` | `deleteTexturePack(RenderEngine var1)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
`String` | `getFirstDescriptionLine()` Get the first line of the texture pack description (read from the pack.txt file)
`InputStream` | `getResourceAsStream(String var1)` Gives a texture resource as InputStream.
`String` | `getSecondDescriptionLine()` Get the second line of the texture pack description (read from the pack.txt file)
`String` | `getTexturePackFileName()` Get the file name of the texture pack, or Default if not from a custom texture pack
`String` | `getTexturePackID()` Get the texture pack ID
`int` | `getTexturePackResolution()` Return the texture pack's resolution (16 by default).

Method Detail

### deleteTexturePack

    void deleteTexturePack(RenderEngine var1)

  Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.

### bindThumbnailTexture

    void bindThumbnailTexture(RenderEngine var1)

  Bind the texture id of the pack's thumbnail image, loading it if necessary.

### getResourceAsStream

    InputStream getResourceAsStream(String var1)

  Gives a texture resource as InputStream.

### getTexturePackID

    String getTexturePackID()

  Get the texture pack ID

### getTexturePackFileName

    String getTexturePackFileName()

  Get the file name of the texture pack, or Default if not from a custom texture pack

### getFirstDescriptionLine

    String getFirstDescriptionLine()

  Get the first line of the texture pack description (read from the pack.txt file)

### getSecondDescriptionLine

    String getSecondDescriptionLine()

  Get the second line of the texture pack description (read from the pack.txt file)

### getTexturePackResolution

    int getTexturePackResolution()

  Return the texture pack's resolution (16 by default). Used only by PlayerUsageSnooper. Presumably meant to be overriden by HD texture mods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD